summaryrefslogtreecommitdiffstats
path: root/development/Coin
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:33:04 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:33:04 -0400
commit2deab60cf34ca14a8f107e40f82e1c3728536ca9 (patch)
treed989ab499b0af4f5b227153d96739d88b2512fb6 /development/Coin
parent67bae91e7cb91e71a66b1c4765dda4f29d094ecf (diff)
downloadslackbuilds-2deab60cf34ca14a8f107e40f82e1c3728536ca9.tar.gz
slackbuilds-2deab60cf34ca14a8f107e40f82e1c3728536ca9.tar.xz
development/Coin: Fixed for bash4.
Diffstat (limited to 'development/Coin')
-rwxr-xr-xdevelopment/Coin/Coin.SlackBuild6
1 files changed, 2 insertions, 4 deletions
diff --git a/development/Coin/Coin.SlackBuild b/development/Coin/Coin.SlackBuild
index 0b75f871f7..37d865b28c 100755
--- a/development/Coin/Coin.SlackBuild
+++ b/development/Coin/Coin.SlackBuild
@@ -61,10 +61,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;